aboutsummaryrefslogtreecommitdiff
path: root/extras
diff options
context:
space:
mode:
authorMarco Poletti <poletti.marco@gmail.com>2020-03-08 11:10:50 -0700
committerMarco Poletti <poletti.marco@gmail.com>2020-03-08 11:10:50 -0700
commit90640a101dcd0030a904a06a992f709c84c14bec (patch)
tree25790594e5e121b3d694e085fb85bf58e917855c /extras
parent515891aaa5e1ba83bdec7a3435fda92365edc8e0 (diff)
downloadgoogle-fruit-90640a101dcd0030a904a06a992f709c84c14bec.tar.gz
Ignore failure codes from "brew upgrade", it can succeed but exit with a non-0 code.
Diffstat (limited to 'extras')
-rwxr-xr-xextras/scripts/travis_ci_install_osx.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/extras/scripts/travis_ci_install_osx.sh b/extras/scripts/travis_ci_install_osx.sh
index ce49358..d616fee 100755
--- a/extras/scripts/travis_ci_install_osx.sh
+++ b/extras/scripts/travis_ci_install_osx.sh
@@ -10,7 +10,7 @@ do
done
install_brew_package() {
- time (brew install "$@" || brew outdated "$1" || brew upgrade "$@")
+ time (brew install "$@" || brew outdated "$1" || brew upgrade "$@" || true)
# Some formulas are not linked into /usr/local by default, make sure they are.
time (brew link --force "$@" || true)
}